%define release alt1.cvs
%define version 3.5.13
%define name djvu

Summary: DjVu viewers, encoders and utilities.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Publishing
Source: djvulibre-%{version}cvs.tar.bz2
URL: http://djvu.sourceforge.net

# Automatically added by buildreq on Mon Sep 22 2003
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ libaudio libexpat libjpeg-devel liblcms libmng libqt3-devel libstdc++-devel

%description
DjVu is a web-centric format and software platform for distributing documents
and images.  DjVu content downloads faster, displays and renders faster, looks
nicer on a screen, and consume less client resources than competing formats.
DjVu was originally developed at AT&T Labs-Research by Leon Bottou, Yann
LeCun, Patrick Haffner, and many others.  In March 2000, AT&T sold DjVu to
LizardTech Inc. who now distributes Windows/Mac plug-ins, and commercial
encoders (mostly on Windows)

In an effort to promote DjVu as a Web standard, the LizardTech management was
enlightened enough to release the reference implementation of DjVu under the
GNU GPL in October 2000.  DjVuLibre (which means free DjVu), is an enhanced
version of that code maintained by the original inventors of DjVu. It is
compatible with version 3.5 of the LizardTech DjVu software suite.

DjVulibre-3.5 contains:
- a standalone DjVu viewer based on the Qt library. 
- A browser plugin that works with most Unix browsers.
- A full-fledged wavelet-based compressor for pictures. 
- A simple compressor for bitonal (black and white) scanned pages. 
- A compressor for palettized images (a la GIF/PNG). 
- A set of utilities to manipulate and assemble DjVu images and documents. 
- A set of decoders to convert DjVu to a number of other formats. 
- An up-to-date version of the C++ DjVu Reference Library.

%package common
Summary: DjVu shared files.
Group: Publishing

%description common
DjVu is a web-centric format and software platform for distributing documents
and images.  DjVu content downloads faster, displays and renders faster, looks
nicer on a screen, and consume less client resources than competing formats.
DjVu was originally developed at AT&T Labs-Research by Leon Bottou, Yann
LeCun, Patrick Haffner, and many others.  In March 2000, AT&T sold DjVu to
LizardTech Inc. who now distributes Windows/Mac plug-ins, and commercial
encoders (mostly on Windows)

In an effort to promote DjVu as a Web standard, the LizardTech management was
enlightened enough to release the reference implementation of DjVu under the
GNU GPL in October 2000.  DjVuLibre (which means free DjVu), is an enhanced
version of that code maintained by the original inventors of DjVu. It is
compatible with version 3.5 of the LizardTech DjVu software suite.

DjVulibre-3.5 contains:
- a standalone DjVu viewer based on the Qt library. 
- A browser plugin that works with most Unix browsers.
- A full-fledged wavelet-based compressor for pictures. 
- A simple compressor for bitonal (black and white) scanned pages. 
- A compressor for palettized images (a la GIF/PNG). 
- A set of utilities to manipulate and assemble DjVu images and documents. 
- A set of decoders to convert DjVu to a number of other formats. 
- An up-to-date version of the C++ DjVu Reference Library.


%package -n lib%name
Summary: DjVu encoder libraries.
Group: System/Libraries
Requires: libstdc++, libjpeg

%description -n lib%name
DjVu shared libraries.

%package utils
Summary: DjVu utilites.
Group: Publishing
Requires: lib%name = %version

%description utils
DjVu encoder and support utilites.

%package xmltools
Summary: DjVu XML tools.
Group: Publishing
Requires: lib%name = %version

%description xmltools
DjVu XML tools.

%package viewer
Summary: standalone DjVu viewer.
Group: Publishing
Requires: lib%name = %version, %name-common, libqt3

%description viewer
A standalone DjVu viewer based on the Qt library.

%package plugin
Summary: DjVu mozilla plugin.
Group: Networking/WWW
Requires: lib%name = %version, %name-common, XFree86-libs

%description plugin
DjVu Mozilla plugin.

%package doc
Summary: docs about DjVu technology.
Group: Publishing
Requires: %name-viewer

%description doc
Some useful documents about DjVu technology. 
Can be used as test samples.

%prep
%setup -q -n djvulibre-3.5

%build
%configure --enable-xmltools
%__make depend
%make_build

%install
%makeinstall
# Quick fix to stop ldconfig from complaining
find %{buildroot}%{_libdir} -name "*.so*" -exec chmod 755 {} \;
# Quick cleanup of the docs
rm -rf doc/CVS 2>/dev/null || :

mkdir -p  %buildroot%_menudir
cat << EOF > %buildroot%_menudir/djview
?package(%name): command="%_bindir/djview" \
	section="Applications/Publishing" \
	title="djview" \
	needs="X11"  \
        longtitle="DjVu viewer"
EOF

%post -n lib%name
/sbin/ldconfig

%post plugin
# Create links to nsdejavu.so in mozilla dirs
# The name of the link is nsdjvu.so in order to make
# sure they do not get removed when upgrading rpms.
( for n in %_libdir/mozilla*  ; do \
  if [ -d $n ] ; then \
   test -d $n/plugins || mkdir $n/plugins ; \
   ln -s ../../netscape/plugins/nsdejavu.so $n/plugins/nsdjvu.so ; \
 fi ; done ) 2>/dev/null || true


%postun -n lib%name
/sbin/ldconfig

%postun plugin
# Remove links to nsdejavu.so in all mozilla dirs
( if ! [ -r %_libdir/netscape/plugins/nsdejavu.so ] ; then \
   for n in %_libdir/mozilla* ; do \
    if [ -h $n/plugins/nsdjvu.so ] ; then \
     rm $n/plugins/nsdjvu.so ; \
     rmdir $n/plugins ; \
  fi ; done ; fi ) 2>/dev/null || true

%post viewer
%update_menus

%postun viewer
%clean_menus

%files common
%defattr(-, root, root)
%doc README COPYRIGHT COPYING INSTALL NEWS TODO
%{_datadir}/djvu

%files doc
%defattr(-, root, root)
%doc doc

%files -n lib%name
%{_libdir}/*.so*

%files utils
%{_bindir}/bzz
%{_bindir}/c*
%{_bindir}/ddjvu
%{_bindir}/djvm*
%{_bindir}/djvups
%{_bindir}/djvused
%{_bindir}/djvuserve
%{_bindir}/djvutxt
%{_mandir}/man?/bzz*
%{_mandir}/man?/c*
%{_mandir}/man?/ddjvu*
%{_mandir}/man?/djvm*
%{_mandir}/man?/djvups*
%{_mandir}/man?/djvused*
%{_mandir}/man?/djvuserve*
%{_mandir}/man?/djvutxt*

%files xmltools
%{_bindir}/djvutoxml
%{_bindir}/djvuxmlparser
%{_bindir}/xml*
%{_mandir}/man?/djvutoxml*
%{_mandir}/man?/djvuxmlparser*
%{_mandir}/man?/xml*

%files viewer
%{_bindir}/djview
%{_mandir}/man?/djview*
%{_menudir}/djview

%files plugin
%{_libdir}/*/plugins/*.so*

%changelog
* Thu Sep 18 2003 LAKostis <lakostis at altlinux dot ru> 3.5.13-alt1.cvs
- version 3.5.13
- ripped out docs to separate package.
- spec cleanups.

* Thu Mar 11 2003 LAKostis <lakostis@altlinux.ru> 3.5.10-alt0.1cvs
- CVS snapshot.
- initial build for Sisyphus.

* Thu Feb  6 2003 Leon Bottou <leon@bottou.org> 3.5.10-2
- version 3.5.10-2
* Fri Jan 24 2003 Leon Bottou <leon@bottou.org> 3.5.10-1
- prepared for version 3.5.10
* Wed Oct  9 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.9-2
- fixed logic for uninstalling nsdejavu links.
- copy stuff from the freshrpms spec file.
* Sun Oct  6 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.9-1
- added logic to install nsdejavu for mozilla.
* Wed May 29 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.6-1
- bumped to version 3.5.6-1
* Mon Apr 1 2002  Leon Bottou <leonb@users.sourceforge.net> 3.5.5-2
- changed group to Applications/Publishing
* Tue Mar 25 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.5-2
* Tue Jan 22 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.4-2
- fixed for properly locating the man directory.
* Wed Jan 16 2002 Leon Bottou <leonb@users.sourceforge.net> 3.5.3-1
* Fri Dec  7 2001 Leon Bottou <leonb@users.sourceforge.net> 3.5.2-1
* Wed Dec  5 2001 Leon Bottou <leonb@users.sourceforge.net> 3.5.1-1
- created spec file for rh7.x.

